const fs = require('fs-extra')
const { isYarn, CURR_DIR } = require('./helper')

const updateTslintConfig = ({ TARGET_PATH }) => {
  const TSLINT_PATH = `${TARGET_PATH}/tsconfig.json`

  const json = fs.readFileSync(
    TSLINT_PATH,
    { encoding: 'utf8', flag: 'r' },
    function (err, data) {}
  )

  if (!json) {
    return
  }

  const tslintObj = JSON.parse(json.trim())
  tslintObj.compilerOptions.baseUrl = './src'
  const newContent = JSON.stringify(tslintObj, null, 2)
  fs.writeFileSync(TSLINT_PATH, newContent)
}
module.exports.updateTslintConfig = updateTslintConfig
